import { Column, Entity, PrimaryColumn } from "typeorm";

@Entity()
export class protocol {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255 })
  title: string;

  @Column({ type: "date" })
  date: Date;

  @Column({ type: "timestamp" })
  starttime: Date;

  @Column({ type: "timestamp" })
  endtime: Date;

  @Column({ type: "text" })
  summary: string;
}
